export  interface Product {
    id: string;
    productName: string;
    image: string;
    description: string;
    price: string;
    inStock: boolean;
  }
  export interface CartItem {
    id: string;
    name: string;
    price: number;
    quantity: number;
    image: string;
  }
  
  export interface CartState {
    items: CartItem[];
    total: number;
  }

  export interface Order {
    id: string;
    orderId:string,
    items: OrderItem[]; 
    status: string;
    timeAgo: string;
    userId: string; 
    createdAt: Date;
  }
  export interface OrderItem {
    name: string;
    quantity: number;
  }
    