import { Stack } from 'expo-router';
import { GestureHandlerRootView } from 'react-native-gesture-handler';
import { SafeAreaProvider } from 'react-native-safe-area-context';
import React from 'react';
import { CartProvider } from '../context/cartContext'
import { StatusBar } from 'expo-status-bar';


export default function Layout() {
  return (
    <GestureHandlerRootView style={{ flex: 1 }}>
      <SafeAreaProvider>
      <StatusBar style="inverted" animated />
        <CartProvider>
        <Stack screenOptions={{ headerShown: false}} />
        </CartProvider>
      </SafeAreaProvider>
    </GestureHandlerRootView>
  );
}
